summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim-Philipp Müller <tim@centricular.net>2013-06-18 13:36:01 +0100
committerTim-Philipp Müller <tim@centricular.net>2013-06-18 13:36:01 +0100
commita5b4432f000f9ed6fa596cd9ba23b10e66474802 (patch)
tree98eda836c37c23a3f8d23ce5c726e5b19ad49f78
parentdce9d85695d37b39c2a37b413a5b43d74c0db302 (diff)
autogen.sh: generate from common module, fixing srcdir != builddir build
https://bugzilla.gnome.org/show_bug.cgi?id=702319
-rwxr-xr-xautogen.sh84
m---------common0
2 files changed, 56 insertions, 28 deletions
diff --git a/autogen.sh b/autogen.sh
index 1b560ac..f9fd3f0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,25 @@
#!/bin/sh
+#
+# gst-libav autogen.sh
+#
# Run this to generate all the initial makefiles, etc.
+#
+# This file has been generated from common/autogen.sh.in via common/update-autogen
+
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
DIE=0
package=gst-libav
-srcfile=configure.ac
+srcfile=gst-libav.doap
-# make sure we have common
-if test ! -f common/gst-autogen.sh -o ! -f gst-libs/ext/libav/configure ;
-then
+# Make sure we have common
+if test ! -f common/gst-autogen.sh;
+then
echo "+ Setting up common submodule"
git submodule init
fi
@@ -29,14 +41,28 @@ then
ln -s ../../common/hooks/pre-commit.hook .git/hooks/pre-commit
fi
+# GNU gettext automake support doesn't get along with git.
+# https://bugzilla.gnome.org/show_bug.cgi?id=661128
+if test -d po ; then
+ touch -t 200001010000 po/gst-libav-1.0.pot
+fi
+
+CONFIGURE_DEF_OPT='--enable-maintainer-mode --enable-gtk-doc'
+
+if test "x$package" = "xgstreamer"; then
+ CONFIGURE_DEF_OPT="$CONFIGURE_DEF_OPT --enable-docbook --enable-failing-tests --enable-poisoning"
+fi
+
autogen_options $@
printf "+ check for build tools"
-if test ! -z "$NOCHECK"; then echo " skipped"; else echo; fi
-version_check "autoconf" "$AUTOCONF autoconf autoconf270 autoconf269 autoconf268 autoconf267 autoconf266 autoconf265 autoconf264 autoconf263 autoconf262" \
- "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 62 || DIE=1
+if test ! -z "$NOCHECK"; then echo ": skipped version checks"; else echo; fi
+version_check "autoconf" "$AUTOCONF autoconf autoconf270 autoconf269 autoconf268 " \
+ "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 68 || DIE=1
version_check "automake" "$AUTOMAKE automake automake-1.11" \
"ftp://ftp.gnu.org/pub/gnu/automake/" 1 11 || DIE=1
+version_check "autopoint" "autopoint" \
+ "ftp://ftp.gnu.org/pub/gnu/gettext/" 0 17 || DIE=1
version_check "libtoolize" "$LIBTOOLIZE libtoolize glibtoolize" \
"ftp://ftp.gnu.org/pub/gnu/libtool/" 2 2 6 || DIE=1
version_check "pkg-config" "" \
@@ -50,7 +76,7 @@ autoheader_check || DIE=1
die_check $DIE
# if no arguments specified then this will be printed
-if test -z "$*"; then
+if test -z "$*" && test -z "$NOCONFIGURE"; then
echo "+ checking for autogen.sh options"
echo " This autogen script will automatically run ./configure as:"
echo " ./configure $CONFIGURE_DEF_OPT"
@@ -60,6 +86,20 @@ fi
toplevel_check $srcfile
+# autopoint
+# first remove patch if necessary, then run autopoint, then reapply
+if test -d po ; then
+ if test -f po/Makefile.in.in;
+ then
+ patch -p0 -R --forward < common/gettext.patch
+ fi
+ tool_run "$autopoint" "--force" "patch -p0 < common/gettext.patch"
+ patch -p0 < common/gettext.patch
+fi
+
+# aclocal
+if test -f acinclude.m4; then rm acinclude.m4; fi
+
tool_run "$libtoolize" "--copy --force"
tool_run "$aclocal" "-I m4 -I common/m4 $ACLOCAL_FLAGS"
tool_run "$autoheader"
@@ -68,21 +108,8 @@ tool_run "$autoheader"
echo timestamp > stamp-h.in 2> /dev/null
tool_run "$autoconf"
-tool_run "$automake" "-a -c -Wno-portability"
-
-# if enable exists, add an -enable option for each of the lines in that file
-if test -f enable; then
- for a in `cat enable`; do
- CONFIGURE_FILE_OPT="--enable-$a"
- done
-fi
-
-# if disable exists, add an -disable option for each of the lines in that file
-if test -f disable; then
- for a in `cat disable`; do
- CONFIGURE_FILE_OPT="$CONFIGURE_FILE_OPT --disable-$a"
- done
-fi
+debug "automake: $automake"
+tool_run "$automake" "--add-missing --copy"
test -n "$NOCONFIGURE" && {
echo "+ skipping configure stage for package $package, as requested."
@@ -90,16 +117,17 @@ test -n "$NOCONFIGURE" && {
exit 0
}
+cd "$olddir"
+
echo "+ running configure ... "
-test ! -z "$CONFIGURE_DEF_OPT" && echo " ./configure default flags: $CONFIGURE_DEF_OPT"
-test ! -z "$CONFIGURE_EXT_OPT" && echo " ./configure external flags: $CONFIGURE_EXT_OPT"
-test ! -z "$CONFIGURE_FILE_OPT" && echo " ./configure enable/disable flags: $CONFIGURE_FILE_OPT"
+test ! -z "$CONFIGURE_DEF_OPT" && echo " default flags: $CONFIGURE_DEF_OPT"
+test ! -z "$CONFIGURE_EXT_OPT" && echo " external flags: $CONFIGURE_EXT_OPT"
echo
-./configure $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT $CONFIGURE_FILE_OPT || {
+echo "$srcdir/configure" $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT
+"$srcdir/configure" $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT || {
echo " configure failed"
exit 1
}
-echo
echo "Now type 'make' to compile $package."
diff --git a/common b/common
-Subproject 098c0d7432be323d631b95b5d35f6f0840bf21b
+Subproject 12af105243823fc73581db4fd79a46f6d0268dc